package com.googlecode.wicketslides.demo;

import org.apache.wicket.markup.html.CSSPackageResource;
import org.apache.wicket.markup.html.JavascriptPackageResource;
import org.apache.wicket.markup.html.WebPage;

import com.googlecode.wicketslides.SlidesPanel;
import com.googlecode.wicketslides.WicketSlides;

public class GalleryDemoPage extends WebPage {

   public GalleryDemoPage() {

      add(JavascriptPackageResource.getHeaderContribution(WicketSlides.MOOTOOLS));
      add(JavascriptPackageResource.getHeaderContribution(WicketSlides.MOOTOOLS_MORE));
      add(CSSPackageResource.getHeaderContribution(WicketSlides.LAYOUT_CSS));

      final SlidesPanel.Builder builder = new SlidesPanel.Builder("gallery");
      final String basePath = "gallery/";
      final String pic1 = basePath + "pic1.jpg";
      final String pic2 = basePath + "pic2.jpg";
      builder.addImage(pic1, pic1);
      builder.addImage(pic2, pic2);
      add(builder.showThumbs(true).timed(false).showArrow(true).fadeDuration(500).size(800, 600).thumbSize(100, 75)
            .build());
   }
}
